[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TServerIndexDefs.Create

Create a new instance of TServerIndexDefs

## Declaration

Source position: sqldb.pp line 92

`public constructor TServerIndexDefs.Create(`
`ADataSet: TDataSet`
`); override;`

## Arguments

`ADataSet` |  | Dataset for which the index definition collection is created.

## Description

Create will rais an exception if ADataset is not a TCustomSQLQuery descendent.

## Errors

An EDatabaseError exception will be raised if ADataset is not a TCustomSQLQuery descendent.

Documentation generated on: Feb 26 2014